//+------------------------------------------------------------------+
//|                                                        i_lsv.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
//---- input parameters
extern int       len=5;
extern int       cnt=20;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   for(int i=0;i<ObjectsTotal();i++){
      if(StringFind(ObjectName(i),"lsvRect",0)==0){
         ObjectDelete(ObjectName(i));
         i--;
      }
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start(){

   for(int i=0;i<cnt;i++){
      int b=i*len+1;
      double h=High[Highest(NULL,0,MODE_HIGH,len,b)];
      double l=Low[Lowest(NULL,0,MODE_LOW,len,b)];
      string on="lsvRect_"+i;
         if(ObjectFind(on)!=0){
            ObjectCreate(on,OBJ_RECTANGLE,0,Time[b],h,Time[b+len-1],l);
         }
     ObjectSet(on,OBJPROP_TIME1,Time[b]);
     ObjectSet(on,OBJPROP_TIME2,Time[b+len-1]); 
     ObjectSet(on,OBJPROP_PRICE1,h);
     ObjectSet(on,OBJPROP_PRICE2,l);      
         
               
   }
return(0);
}
//+------------------------------------------------------------------+